Page MenuHomePhabricator

efl/exe: add 'pid' property
ClosedPublic

Authored by zmike on Mar 5 2020, 11:15 AM.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Mar 5 2020, 11:15 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

zmike requested review of this revision.Mar 5 2020, 11:15 AM
vtorri added a subscriber: vtorri.Mar 5 2020, 12:11 PM
vtorri added inline comments.
src/lib/ecore/efl_exe.c
586

can you add #ifdef _WIN32 like line 593 ? it will be easier for me when i'll port efl_exe to Windows (i'll search for the _WIN32 occurences)

bu5hm4n accepted this revision.Mar 6 2020, 4:03 AM
bu5hm4n added a subscriber: bu5hm4n.
bu5hm4n added inline comments.
src/lib/ecore/efl_exe.c
586

I think the pid is always a int, so it does not make sense to #ifdef this ?

This revision is now accepted and ready to land.Mar 6 2020, 4:03 AM
bu5hm4n added inline comments.Mar 6 2020, 4:28 AM
src/lib/ecore/efl_exe.c
586

in _impl_ecore_exe_efl_object_finalize, this is just assigned to the int, so i think this will just work with windows how it is right now ?

src/lib/ecore/efl_exe.eo
60

One super duper nitpick: Can you add here a remark,that -1 is always returned when you call that property before finalizer is executed, and the exe is actaully started.

vtorri added inline comments.Mar 6 2020, 4:33 AM
src/lib/ecore/efl_exe.c
586

though long is always the size of an int on Windows, just signedness

vtorri added inline comments.Mar 6 2020, 4:38 AM
src/lib/ecore/efl_exe.c
586

ok, let's hope that on Windows, the pid is not greater than 2 billions (i don't know if the pid is increased by one for each new process)

vtorri added inline comments.Mar 6 2020, 5:25 AM
src/lib/ecore/efl_exe.c
586

or we can create a type fo the PID, Efl_Exe_Pid or something like that

zmike updated this revision to Diff 29360.Mar 6 2020, 5:58 AM

add windows ifdef, return 0 on failure

zmike updated this revision to Diff 29367.Mar 6 2020, 9:18 AM
zmike added a reviewer: segfaultxavi.

rebase

C code for me is good. I can't comment about eo part though

zmike updated this revision to Diff 29396.Mar 9 2020, 9:15 AM

fixups/rebase

This revision was automatically updated to reflect the committed changes.